# Pipeline Data Probe

## ![](/files/9f7FcmkQp5EbQejgLvN3) Pipeline Data Probe

### Description <a href="#description" id="description"></a>

The Pipeline Data Probe transform receives data probe data configured by a [Pipeline Probe](/data-shaper-1.21/knowing-the-data-shaper-designer/index-2/pipeline-probe.md) metadata type.

Check the [Pipeline Probe](/data-shaper-1.21/knowing-the-data-shaper-designer/index-2/pipeline-probe.md) metadata type for more information.

| Hop Engine | <sup>✓</sup> |
| ---------- | ------------ |
| Spark      | ?            |
| Flink      | ?            |
| Dataflow   | ?            |

### Options

The pipeline data probe transform doesn’t require any configuration except for the transform name.

This transform receives data from the [Pipeline Probe](/data-shaper-1.21/knowing-the-data-shaper-designer/index-2/pipeline-probe.md) metadata type and produces the following output:

| sourcePipelineName          | the name of the pipeline passing data to this pipeline data probe transform.                                |
| --------------------------- | ----------------------------------------------------------------------------------------------------------- |
| sourceTransformLogChannelId | the id for the log channel passing data to this pipeline data probe transform.                              |
| sourceTransformName         | the name of the transform in the source pipeline passing data to this pipeline data probe transform.        |
| sourceTransformCopy         | the copy number of the transform in the source pipeline passing data to this pipeline data probe transform. |
| rowNr                       | the row number in the source pipeline passing data to this pipeline data probe transform.                   |
| fieldName                   | the field name of the field in the source pipeline passing data to this pipeline data probe transform.      |
| fieldType                   | the field type of the field in the source pipeline passing data to this pipeline data probe transform.      |
| fieldFormat                 | the field format of the field in the source pipeline passing data to this pipeline data probe transform.    |
| fieldLength                 | the field length of the field in the source pipeline passing data to this pipeline data probe transform.    |
| fieldPrecision              | the field precision of the field in the source pipeline passing data to this pipeline data probe transform. |
| value                       | the value of the transform in the source pipeline passing data to this pipeline data probe transform.       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/data-shaper-1.21/knowing-the-data-shaper-designer/pipelines/transforms/pipeline-data-probe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
